Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.

Autor Téma: Aktualizace - Zkontrolujte svoje internetové připojení  (Přečteno 2986 krát)

Lord SMRTKA

  • Návštěvník
  • *
  • Příspěvků: 65
    • Zobrazit profil
Aktualizace - Zkontrolujte svoje internetové připojení
« kdy: 05 Prosinec 2016, 19:22:01 »
Chtěl bych se zeptat jak to, že při aktualizaci přes terminál
Kód: [Vybrat]
sudo apt-get update
sudo apt-get upgrade

se mi některý aktualizace nenainstalují, ale přes správce aktualizací se mi nejprve ukáže, že si mám zkontrolovat internetové připojení a po kliknutí na budiž se aktualizace objeví a dá se nainstalovat?  Dělá mi to i xubuntu na jiném ntb. Má s tím ještě někdo problém?

Cuore

  • Závislák
  • ****
  • Příspěvků: 2534
    • Zobrazit profil
Re:Aktualizace - Zkontrolujte svoje internetové připojení
« Odpověď #1 kdy: 05 Prosinec 2016, 20:53:40 »
Spíš dej výstup z terminalu

Odesláno z mého Passport pomocí Tapatalk


Lord SMRTKA

  • Návštěvník
  • *
  • Příspěvků: 65
    • Zobrazit profil
Re:Aktualizace - Zkontrolujte svoje internetové připojení
« Odpověď #2 kdy: 05 Prosinec 2016, 23:55:56 »
teď mám v aktualizacích nějaký věci, ale přes terminál se to neaktualizuje
Kód: [Vybrat]
sudo apt-get upgrade
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Propočítává se aktualizace… Hotovo
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  gnome-icon-theme linux-headers-4.4.0-21 linux-headers-4.4.0-21-generic
  linux-image-4.4.0-21-generic linux-image-extra-4.4.0-21-generic
Pro jejich odstranění použijte „sudo apt autoremove“.
Následující balíky jsou podrženy v aktuální verzi:
  linux-generic linux-headers-generic linux-image-generic
0 aktualizováno, 0 nově instalováno, 0 k odstranění a 3 neaktualizováno.

juwa2

  • Závislák
  • ****
  • Příspěvků: 3717
    • Zobrazit profil
Re:Aktualizace - Zkontrolujte svoje internetové připojení
« Odpověď #3 kdy: 06 Prosinec 2016, 02:11:50 »
S internetovým připojením to nemá co dělat.
Příčina je "nepořádek" ve zdrojích SW.
Takže si to tam (/etc/apt/sources.list.d) dej dopořádku, zejména odstraň chybné nebo "mrtvé" položky.
Pak vyčisti apt cache
Kód: [Vybrat]
sudo rm -rf /var/lib/apt/lists/*
a na závěr znove zadej
Kód: [Vybrat]
sudo apt-get update
sudo apt-get upgrade
-------------------------------------------------
V případě, že se potíže budou projevovat i nadále, resetuj zdroje SW do výchozího stavu
(odstraní se tebou přidané ppa) a znovu proveď příkazy výše.
Teprve potom, až bude vše OK si můžeš opět přidat vlastní zdroje zpátky.
Doporučuji nainstalovat a používat YPPA manager který ti v tomto směru "usnadní život".
Kód: [Vybrat]
sudo add-apt-repository ppa:webupd8team/y-ppa-manager
sudo apt-get update
sudo apt-get install y-ppa-manager
« Poslední změna: 06 Prosinec 2016, 02:15:14 od juwa2 »

WeltRaum

  • Host
Re:Aktualizace - Zkontrolujte svoje internetové připojení
« Odpověď #4 kdy: 06 Prosinec 2016, 09:36:49 »
Správca aktualizácií sa rád „vyhovára“ na internetové pripojenie, hlavne ako sa balíky sťahujú z menej spoľahlivých serverov. V správcovi aktualizácií alebo v centre softvéru by som skúsil nastaviť sťahovanie balíkov na hlavný server a potom opäť cez terminál zaktualizoval systém (správcu akltualizácií/centrum softvéru treba zavrieť):
Kód: [Vybrat]
sudo apt-get update
sudo apt-get dist-upgrade

Lord SMRTKA

  • Návštěvník
  • *
  • Příspěvků: 65
    • Zobrazit profil
Re:Aktualizace - Zkontrolujte svoje internetové připojení
« Odpověď #5 kdy: 09 Prosinec 2016, 12:02:58 »
S internetovým připojením to nemá co dělat.
Příčina je "nepořádek" ve zdrojích SW.
Takže si to tam (/etc/apt/sources.list.d) dej dopořádku, zejména odstraň chybné nebo "mrtvé" položky.
Pak vyčisti apt cache
Kód: [Vybrat]
sudo rm -rf /var/lib/apt/lists/*
a na závěr znove zadej
Kód: [Vybrat]
sudo apt-get update
sudo apt-get upgrade
.............atd

Tak to zafungovalo už se to aktualizuje i přes terminál, ale mám další problém :D
Vyskakuje mi každej den okno, viz obrázek. A když ho zkusím nainstalovat přes terminál tak se stane toto.

Kód: [Vybrat]
sudo apt-get install ttf-mscorefonts-installer
[sudo] heslo pro longin:
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
ttf-mscorefonts-installer je již nejnovější verze (3.4+nmu1ubuntu2).
ttf-mscorefonts-installer nastaven jako instalovaný ručně.

pak jsem ho odinstaloval a nainstaloval znova, ale hodilo to chybu.

Kód: [Vybrat]
sudo apt-get install ttf-mscorefonts-installer
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Následující balík byl nainstalován automaticky a již není potřeba:
  ubuntu-core-launcher
Pro jeho odstranění použijte „sudo apt autoremove“.
Následující NOVÉ balíky budou nainstalovány:
  ttf-mscorefonts-installer
0 aktualizováno, 1 nově instalováno, 0 k odstranění a 0 neaktualizováno.
Nutno stáhnout 0 B/29,5 kB archivů.
Po této operaci bude na disku použito dalších 134 kB.
Přednastavují se balíky…
Vybírá se dosud nevybraný balík ttf-mscorefonts-installer.
(Načítá se databáze … nyní je nainstalováno 230372 souborů a adresářů.)
Připravuje se nahrazení …/ttf-mscorefonts-installer_3.4+nmu1ubuntu2_all.deb …
mscorefonts-eula license has already been accepted
Rozbaluje se ttf-mscorefonts-installer (3.4+nmu1ubuntu2) …
Zpracovávají se spouštěče pro balík fontconfig (2.11.94-0ubuntu1.1) …
Zpracovávají se spouštěče pro balík update-notifier-common (3.168.2) …
ttf-mscorefonts-installer: processing...
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Err:1 http://downloads.sourceforge.net/corefonts/andale32.exe
  404  Not Found
W: Pro stažení nelze zahodit oprávnění, jelikož soubor „/var/lib/update-notifier/package-data-downloads/partial/andale32.exe“ by nebyl přístupný uživateli „_apt“. - pkgAcquire::Run (13: Operace zamítnuta)
E: Selhalo stažení https://netix.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe  404  Not Found

E: Stažení selhalo
Nastavuje se balík ttf-mscorefonts-installer (3.4+nmu1ubuntu2) …

a i poté vyskakuje furt okno viz. obrázek

juwa2

  • Závislák
  • ****
  • Příspěvků: 3717
    • Zobrazit profil
Re:Aktualizace - Zkontrolujte svoje internetové připojení
« Odpověď #6 kdy: 09 Prosinec 2016, 13:02:32 »
Prostě ta adresa ze které se to má stáhnout (http://downloads.sourceforge.net/corefonts/andale32.exe) je nedostupná. Je to nahlášený bug.
Teď jsem ji zkoušel zadat do prohlížeče, dojde pouze k redirectu na https://vorboss.dl.sourceforge.net/project/corefonts/the%20fonts/final/andale32.exe
a ten soubor andale32.exe se normálně stáhne.
-------------------------------------------------------
Takže si stáhni balík ttf-mscorefonts-installer rozbal ho, tu adresu v něm změň, pak ho zase zabal
a můžeš ho ručně nainstalovat.
----------------------------------------------------------
Možná pohodlnější řešení bude nainstalovat to takto:
Kód: [Vybrat]
wget http://ftp.de.debian.org/debian/pool/contrib/m/msttcorefonts/ttf-mscorefonts-installer_3.6_all.deb -P ~/
sudo apt install ~/ttf-mscorefonts-installer_3.6_all.deb
« Poslední změna: 09 Prosinec 2016, 13:09:33 od juwa2 »

Lord SMRTKA

  • Návštěvník
  • *
  • Příspěvků: 65
    • Zobrazit profil
Re:Aktualizace - Zkontrolujte svoje internetové připojení
« Odpověď #7 kdy: 29 Prosinec 2016, 13:20:07 »
Děkuji převelice :) myslím, že problém už je zažehnán :)

lubos66

  • Návštěvník
  • *
  • Příspěvků: 58
    • Zobrazit profil
Re:Aktualizace - Zkontrolujte svoje internetové připojení
« Odpověď #8 kdy: 29 Červen 2020, 16:16:15 »
Při pokusu o aktualizaci mi terminál píše tuto chybu
 W: Chyba GPG: http://ppa.launchpad.net/upubuntu-com/network/ubuntu trusty Release: Následující podpisy jsou neplatné: DED04C8CBB517AE45B073F12A5D712AEE06E6293
E: Repositář „http://ppa.launchpad.net/upubuntu-com/network/ubuntu trusty Release“ není podepsán.
N: Aktualizaci z takového repositáře nelze provést zabezpečeně a je proto implicitně zakázána.
N: Podrobnosti o vytváření a nastavení repositářů naleznete v manuálové stránce apt-secure(8).
jak ji mám odstranit

juwa2

  • Závislák
  • ****
  • Příspěvků: 3717
    • Zobrazit profil
Re:Aktualizace - Zkontrolujte svoje internetové připojení
« Odpověď #9 kdy: 29 Červen 2020, 19:24:50 »
Při pokusu o aktualizaci mi terminál píše tuto chybu
 W: Chyba GPG: http://ppa.launchpad.net/upubuntu-com/network/ubuntu trusty Release: Následující podpisy jsou neplatné: DED04C8CBB517AE45B073F12A5D712AEE06E6293
E: Repositář „http://ppa.launchpad.net/upubuntu-com/network/ubuntu trusty Release“ není podepsán.
N: Aktualizaci z takového repositáře nelze provést zabezpečeně a je proto implicitně zakázána.
N: Podrobnosti o vytváření a nastavení repositářů naleznete v manuálové stránce apt-secure(8).
jak ji mám odstranit

Pokud je podpis repozitáře neplatný (expiroval), instalaci vynutíš příkazem
Kód: [Vybrat]
sudo apt update
a následným odsouhlasením (y). Pak již můžeš normálně instalovat/aktualizovat.
-------------------------------------------
Nebo můžeš do toho repozitáře jít, stáhnout si potřebné balíky a nainstalovat je ručně.
Balíky můžeš taky stáhnout odtud.
« Poslední změna: 29 Červen 2020, 19:29:31 od juwa2 »